Update template
curl --request PUT \
--url https://api.gcore.com/fastedge/v1/admin/template/{template_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"binary_id": 12345,
"name": "api-gateway-template",
"owned": true,
"params": [
{
"name": "api_key",
"data_type": "string",
"mandatory": true,
"descr": "API key for external service authentication",
"metadata": "<string>"
}
],
"short_descr": "HTTP API gateway with authentication",
"long_descr": "Complete API gateway solution with JWT authentication, rate limiting, and request transformation capabilities."
}
'import requests
url = "https://api.gcore.com/fastedge/v1/admin/template/{template_id}"
payload = {
"binary_id": 12345,
"name": "api-gateway-template",
"owned": True,
"params": [
{
"name": "api_key",
"data_type": "string",
"mandatory": True,
"descr": "API key for external service authentication",
"metadata": "<string>"
}
],
"short_descr": "HTTP API gateway with authentication",
"long_descr": "Complete API gateway solution with JWT authentication, rate limiting, and request transformation capabilities."
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
binary_id: 12345,
name: 'api-gateway-template',
owned: true,
params: [
{
name: 'api_key',
data_type: 'string',
mandatory: true,
descr: 'API key for external service authentication',
metadata: '<string>'
}
],
short_descr: 'HTTP API gateway with authentication',
long_descr: 'Complete API gateway solution with JWT authentication, rate limiting, and request transformation capabilities.'
})
};
fetch('https://api.gcore.com/fastedge/v1/admin/template/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"api_type": "<string>",
"owned": true,
"short_descr": "<string>",
"long_descr": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Templates
Update template
PUT
/
fastedge
/
v1
/
admin
/
template
/
{template_id}
Update template
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
ID of the template
Body
application/json
Template details
ID of the WebAssembly binary to use for this template
Example:
12345
Unique name for the template (used for identification and searching)
Required string length:
1 - 128Pattern:
^[a-zA-Z0-9_ -]*$Example:
"api-gateway-template"
Is the template owned by user?
Parameters
Show child attributes
Show child attributes
Brief one-line description displayed in template listings
Maximum string length:
255Example:
"HTTP API gateway with authentication"
Detailed markdown description explaining template features and usage
Maximum string length:
4096Example:
"Complete API gateway solution with JWT authentication, rate limiting, and request transformation capabilities."
Response
Template updated successfully, returns updated metadata
Was this page helpful?
⌘I